Package org.apache.synapse.commons.beanstalk.enterprise

# Class EnterpriseBeanstalkView

java.lang.Object
org.apache.synapse.commons.beanstalk.enterprise.EnterpriseBeanstalkView

All Implemented Interfaces:
  `EnterpriseBeanstalkViewMBean`

public class EnterpriseBeanstalkView extends Object implements EnterpriseBeanstalkViewMBean
MBean implementation class that enables monitoring/managing beanstalks via JMX.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanExpiredStubsNow()`
  `String`
  `getBeanstalkName()`
  `int`
  `getCachedStatefulStubCount()`
  `int`
  `getCachedStatelessStubCount()`
  `Map`
  `getStatefulStubCacheLastAccessTimes()`
  `Map`
  `getStatelessStubCacheLastAccessTimes()`
  `void`
  `removeStatefulStub(String className, String sessionId)`
  `void`
  `removeStatelessStub(String className)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBeanstalkName

    public String getBeanstalkName()
    Specified by:
      `getBeanstalkName` in interface `EnterpriseBeanstalkViewMBean`

  - ### getCachedStatelessStubCount

    public int getCachedStatelessStubCount()
    Specified by:
      `getCachedStatelessStubCount` in interface `EnterpriseBeanstalkViewMBean`

  - ### getCachedStatefulStubCount

    public int getCachedStatefulStubCount()
    Specified by:
      `getCachedStatefulStubCount` in interface `EnterpriseBeanstalkViewMBean`

  - ### getStatelessStubCacheLastAccessTimes

    public Map getStatelessStubCacheLastAccessTimes()
    Specified by:
      `getStatelessStubCacheLastAccessTimes` in interface `EnterpriseBeanstalkViewMBean`

  - ### getStatefulStubCacheLastAccessTimes

    public Map getStatefulStubCacheLastAccessTimes()
    Specified by:
      `getStatefulStubCacheLastAccessTimes` in interface `EnterpriseBeanstalkViewMBean`

  - ### cleanExpiredStubsNow

    public void cleanExpiredStubsNow() throws Exception
    Specified by:
      `cleanExpiredStubsNow` in interface `EnterpriseBeanstalkViewMBean`
    Throws:
      `Exception`

  - ### removeStatelessStub

    public void removeStatelessStub(String className)
    Specified by:
      `removeStatelessStub` in interface `EnterpriseBeanstalkViewMBean`

  - ### removeStatefulStub

    public void removeStatefulStub(String className, String sessionId)
    Specified by:
      `removeStatefulStub` in interface `EnterpriseBeanstalkViewMBean`